"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.CompilingOrUIServersAreReady = void 0;

function _react() {
  const data = _interopRequireDefault(require("react"));

  _react = function () {
    return data;
  };

  return data;
}

function _moment() {
  const data = _interopRequireDefault(require("moment"));

  _moment = function () {
    return data;
  };

  return data;
}

function _ink() {
  const data = require("ink");

  _ink = function () {
    return data;
  };

  return data;
}

function _inkSpinner() {
  const data = _interopRequireDefault(require("ink-spinner"));

  _inkSpinner = function () {
    return data;
  };

  return data;
}

const DevelopmentServersAreStarting = () => /*#__PURE__*/_react().default.createElement(_ink().Box, {
  paddingTop: 1
}, /*#__PURE__*/_react().default.createElement(_ink().Text, null, /*#__PURE__*/_react().default.createElement(_ink().Text, {
  color: "green"
}, /*#__PURE__*/_react().default.createElement(_inkSpinner().default, {
  type: "dots"
})), ' ', "Development servers are starting..."));

const UIServersAreReady = ({
  mainUIServer
}) => /*#__PURE__*/_react().default.createElement(_react().default.Fragment, null, /*#__PURE__*/_react().default.createElement(_ink().Text, null, "You can now view ", mainUIServer.uiRoot.name, " components in the browser"), /*#__PURE__*/_react().default.createElement(_ink().Text, null, "Bit server is running on http://", mainUIServer.targetHost, ":", mainUIServer.targetPort), /*#__PURE__*/_react().default.createElement(_ink().Newline, null), mainUIServer.uiRoot.workspace ? /*#__PURE__*/_react().default.createElement(_ink().Text, {
  color: "yellow"
}, "Waiting for component changes... (", (0, _moment().default)().format('HH:mm:ss'), ")") : null);

const CompilingOrUIServersAreReady = ({
  totalComponentsSum,
  compiledComponentsSum,
  mainUIServer
}) => {
  if (!mainUIServer) {
    return null;
  } // For 0 componnets


  if (totalComponentsSum === 0 && !!mainUIServer) {
    return /*#__PURE__*/_react().default.createElement(UIServersAreReady, {
      mainUIServer: mainUIServer
    });
  }

  if (!!totalComponentsSum && totalComponentsSum <= compiledComponentsSum && !!mainUIServer) {
    return /*#__PURE__*/_react().default.createElement(UIServersAreReady, {
      mainUIServer: mainUIServer
    });
  }

  return /*#__PURE__*/_react().default.createElement(DevelopmentServersAreStarting, null);
};

exports.CompilingOrUIServersAreReady = CompilingOrUIServersAreReady;

//# sourceMappingURL=start.cmd/output-templates/ui-servers-are-ready.js.map