"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useDataQuery = useDataQuery;

function _reactHooks() {
  const data = require("@apollo/react-hooks");

  _reactHooks = function () {
    return data;
  };

  return data;
}

function _uiNotifications() {
  const data = require("@teambit/ui.notifications.notification-context");

  _uiNotifications = function () {
    return data;
  };

  return data;
}

function _react() {
  const data = require("react");

  _react = function () {
    return data;
  };

  return data;
}

function _globalLoader() {
  const data = require("../global-loader");

  _globalLoader = function () {
    return data;
  };

  return data;
}

function useDataQuery(query, options) {
  const res = (0, _reactHooks().useQuery)(query, options);
  const notifications = (0, _react().useContext)(_uiNotifications().NotificationContext);
  const {
    loading,
    error
  } = res;
  (0, _globalLoader().useLoader)(loading);

  if (error) {
    notifications.error(apolloErrorToString(error));
  }

  return res;
} // @TODO - improve error extraction


function apolloErrorToString(error) {
  return error.toString();
}

//# sourceMappingURL=ui/data/use-data-query.js.map